<?xml version="1.0" encoding="utf-8"?>
<creole>

    <files>
        <file name='/usr/share/eole/bastion/data/90-lxc_rules' mode='0755' rm='True' filelist='container' />
        <!-- Lock file, must not be removed -->
        <file name='/etc/eole/.VirtEnabled.lock' rm='False' source='container.lockfile' filelist='container' />
        <file name='/etc/lxc/default.conf' source='lxc.conf' filelist='container' />
        <file name='/etc/init/lxc.override' filelist='container' />
        <file name='/etc/default/lxc-net' source='lxc-net.default' filelist='container' />
        <file name='/etc/eole/ignore-interfaces.csv' filelist='container' />
        <file name='/usr/share/lxc/config/common.conf' source='lxc_common.conf' filelist='container' />
    </files>

    <containers>
        <all>
            <file name='/etc/ssh/sshd_config' source='sshd_config.lxc' filelist='container' />
            <file name='/usr/share/eole/bastion/data/50-nat_rules' mkdir="True" mode='0755' filelist='era_not_installed' rm='True' instance_mode='when_container'/>
            <file name='/usr/share/eole/bastion/data/00-container' mkdir="True" mode='0755' filelist='container'/>
            <file name='/etc/hosts' source='lxc.hosts' filelist='container'/>
            <file name='/etc/eole/hosts.allow' filelist='era_not_installed' mkdir='True' instance_mode='when_container'/>
            <file name='/etc/hosts.deny' filelist='container'/>
            <file name='/etc/timezone' filelist='container'/>
            <file name='/etc/resolv.conf' filelist='container'/>
            <file name='/etc/resolv.conf.full' filelist='container' source="resolv.conf"/>
            <file name='/etc/resolv.conf.minimal' filelist='container'/>
            <file name='/etc/vim/vimrc' filelist='container'/>
            <file name='../config' source='lxc.config' filelist='container'/>
            <file name='../fstab' source='lxc.fstab' filelist='container'/>
            <file name='../devices.hook' source='lxc.devices.hook' mode='0755' filelist='container'/>
            <file name='/etc/rsyslog.conf' source="rsyslog.conf.container" filelist='container'/>
            <file name='/etc/sysctl.d/50_disabled_ipv6.conf'/>
            <file name='/etc/systemd/journald.conf.d/01-size.conf' source='journald_limit_size.container' filelist='container' mkdir='True'/>
            <file name='/etc/systemd/system/systemd-logind.service.d/override.conf' source='logind.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/systemd-hostnamed.service.d/override.conf' source='hostnamed.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/systemd-networkd.service.d/override.conf' source='networkd.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/systemd-resolved.service.d/override.conf' source='resolved.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/systemd-sysctl.service.d/override.conf' source='sysctl.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/systemd-tmpfiles-clean.service.d/override.conf' source='tmpfiles-clean.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/systemd-tmpfiles-setup-dev-early.service.d/override.conf' source='tmpfiles-setup-dev-early.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/systemd-tmpfiles-setup-dev.service.d/override.conf' source='tmpfiles-setup-dev.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/systemd-tmpfiles-setup.service.d/override.conf' source='tmpfiles-setup.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/console-getty.service.d/override.conf' source='console-getty.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/certbot.service.d/override.conf' source='certbot.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/apt-news.service.d/override.conf' source='apt-news.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/esm-cache.service.d/override.conf' source='esm-cache.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
            <file name='/etc/systemd/system/logrotate.service.d/override.conf' source='logrotate.override.container' filelist='container' instance_mode="when_container" mkdir='True'/>
        </all>
    </containers>

    <variables>
        <family name='general'>
            <variable name='mode_conteneur_actif' redefine='True'>
                <value>oui</value>
            </variable>
        </family>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='mode_conteneur_actif'>
            <param>non</param>
            <target type='filelist'>container</target>
        </condition>
    </constraints>
    <help/>
</creole>
